//////////////////////////////////////////////////////////////////////////////////
// Defines.h
// - this file contains all #define's for our project
// - you use #define like so:
//       #define SOMETHING 800
// - anytime your compiler comes across SOMETHING, it will now replace it with 800
//////////////////////////////////////////////////////////////////////////////////

#pragma once

// Window related defines //
#define WINDOW_WIDTH   400
#define WINDOW_HEIGHT  320
#define WINDOW_CAPTION "FROG JUMP"

// Game related defines //
#define FRAMES_PER_SECOND 30
#define FRAME_RATE        1000/FRAMES_PER_SECOND  
//  Aaron Cox, 2004 //

#define SQUARE_MEDIAN 10

#define FROG_X 0
#define FROG_Y 0
#define FROG_W 20
#define FROG_H 20

#define CAR_X 20
#define CAR_Y 0
#define CAR_W 20
#define CAR_H 20

#define LILY_X 40
#define LILY_Y 0
#define LILY_W 20
#define LILY_H 20

#define LOG_X 0
#define LOG_Y 20
#define LOG_W 60
#define LOG_H 20

#define ROAD_X 0
#define ROAD_Y 40
#define ROAD_W 200
#define ROAD_H 20

#define GRASS_X 0
#define GRASS_Y 60
#define GRASS_W 200
#define GRASS_H 20

#define WATER_X 0
#define WATER_Y 80
#define WATER_W 200
#define WATER_H 20

#define GAME_AREA_RIGHT 400
#define GAME_AREA_BOTTOM 320
#define GAME_AREA_LEFT 0

#define FROG_START_X 90
#define FROG_START_Y 150

#define LILY_START_X 390
#define LILY_START_Y 30
//
#define LILY_SPEED -1
#define CAR_SPEED 5
#define LOG_SPEED 5

#define NUM_LIVES 5
#define NUM_POINTS_PER_FINISH 500
