/*
 *  cFrog.h
 *  Template
 *
 *  Created by Shawn Barnes on 1/2/06.
 *  Copyright 2006 __MyCompanyName__. All rights reserved.
 *
 */

#pragma once
#include "Enums.h"
#include "Defines.h"

class cFrog
{
	private:
		int m_CenterX;
		int m_CenterY;
		SDL_Surface* m_Bitmap;
		
	public:
		cFrog(int x, int y, SDL_Surface* bitmap) : m_CenterX(x), m_CenterY(y), m_Bitmap(bitmap)
		{
		}
		
		void Draw(SDL_Surface* window)
		{
			SDL_Rect source = { FROG_X, FROG_Y, FROG_W, FROG_H };
			SDL_Rect destination = { m_CenterX - SQUARE_MEDIAN, m_CenterY - SQUARE_MEDIAN, SQUARE_MEDIAN * 2, SQUARE_MEDIAN * 2 };
			SDL_BlitSurface(m_Bitmap, &source, window, &destination);
		}
		
		void Move(DIRECTION dir)
		{
			switch(dir)
			{
				case LEFT:
					m_CenterX -= SQUARE_MEDIAN *2;
					break;
				case RIGHT:
					m_CenterX += SQUARE_MEDIAN *2;
					break;
				case UP:
					m_CenterY -= SQUARE_MEDIAN *2;
					break;
				case DOWN:
					m_CenterY += SQUARE_MEDIAN *2;
					break;
			}
		}
		
		int GetCenterX() { return m_CenterX; }
		int GetCenterY() { return m_CenterY; }
		void SetCenterX(int x) { m_CenterX = x; }
		void SetCenterY(int y) { m_CenterY = y; }
		
};