/*
 *  cLily.h
 *  Template
 *
 *  Created by Shawn Barnes on 1/2/06.
 *  Copyright 2006 __MyCompanyName__. All rights reserved.
 *
 */
#pragma once
#include "Defines.h"
#include "Enums.h"

class cLily
{
	private:
		int m_CenterX;
		int m_CenterY;
		SDL_Surface* m_Bitmap;
	public:
		cLily(int x, int y, SDL_Surface* bitmap) : m_CenterX(x), m_CenterY(y), m_Bitmap(bitmap)
		{
		}
		
		void Draw(SDL_Surface* window)
		{
			SDL_Rect source = { LILY_X, LILY_Y, LILY_W, LILY_H };
			SDL_Rect destination = { m_CenterX - SQUARE_MEDIAN, m_CenterY - SQUARE_MEDIAN, SQUARE_MEDIAN * 2, SQUARE_MEDIAN * 2 };
			SDL_BlitSurface(m_Bitmap, &source, window, &destination);
		}
		
		void Move(DIRECTION dir)
		{
			switch(dir)
			{
				case LEFT:
					m_CenterX += LILY_SPEED;
					break;
				case RIGHT:
					m_CenterX -= LILY_SPEED;
					break;
			}
		}
		
		int GetCenterX() { return m_CenterX; }
		int GetCenterY() { return m_CenterY; }
		
		void SetCenterX(int x) { m_CenterX = x; }
		void SetCenterY(int y) { m_CenterY = y; }
};